Bug 144824 - up2date crashes on 8 packages posted on RHN
up2date crashes on 8 packages posted on RHN
Status: CLOSED NEXTRELEASE
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: up2date (Show other bugs)
4.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Adrian Likins
Fanny Augustin
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-11 14:30 EST by Lee Thompson
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-12 12:23:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lee Thompson 2005-01-11 14:30:43 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7.5)
Gecko/20041107 Firefox/1.0

Description of problem:
8 packages (out of possibly 100) will not install on my box.  First I
had to add "--nosig" to up2date -u to get around signature issues. 
Second, up2date was crashing.  I was able to individually install
packages except for 8 problematic packages posted below.

Version-Release number of selected component (if applicable):
up2date-4.3.53-1

How reproducible:
Always

Steps to Reproduce:
1.install a AS3 v4 beta from CD
2.config Redhat network
3.run "up2date -u --nosig"
    

Actual Results:  [root@wahoo32 ~]# up2date -u --nosig

Fetching Obsoletes list for channel: rhel-i386-as-4-beta...

Fetching rpm headers...
########################################

Name                                    Version        Rel     
----------------------------------------------------------
chkconfig                               1.3.11.2       1             
   i386  
curl                                    7.12.1         3             
   i386  
curl-devel                              7.12.1         3             
   i386  
httpd                                   2.0.52         7.ent         
   i386  
httpd-manual                            2.0.52         7.ent         
   i386  
httpd-suexec                            2.0.52         7.ent         
   i386  
mod_ssl                                 2.0.52         7.ent         
   i386  
ntsysv                                  1.3.11.2       1             
   i386  


Testing package set / solving RPM inter-dependencies...

Downloading headers to solve dependencies...
Traceback (most recent call last):
  File "/usr/sbin/up2date", line 1245, in ?
    sys.exit(main() or 0)
  File "/usr/sbin/up2date", line 800, in main
    fullUpdate, dryRun=options.dry_run))
  File "/usr/sbin/up2date", line 1119, in batchRun
    batch.run()
  File "/usr/share/rhn/up2date_client/up2dateBatch.py", line 74, in run
    self.__dryRun()
  File "/usr/share/rhn/up2date_client/up2dateBatch.py", line 159, in
__dryRun
    self.percentCallback)
  File "/usr/share/rhn/up2date_client/up2date.py", line 386, in dryRun
    ret = depsolve.solvedep()
  File "/usr/share/rhn/up2date_client/depSolver.py", line 553, in solvedep
    ret = self.process_deps(deps)
  File "/usr/share/rhn/up2date_client/depSolver.py", line 520, in
process_deps
    changed = self.__dependencies(dependencies)
  File "/usr/share/rhn/up2date_client/depSolver.py", line 307, in
__dependencies
    msgCallback = self.msgCallback)
  File "/usr/share/rhn/up2date_client/depSolver.py", line 93, in solveDep
    msgCallback = msgCallback)
  File
"/usr/share/rhn/up2date_client/repoBackends/genericSolveDep.py", line
44, in solveDep
    msgCallback = self.msgCallback)
TypeError: getSolutions() got an unexpected keyword argument
'progressCallback'


Expected Results:  installed software

Additional info:
Comment 1 Lee Thompson 2005-01-11 17:10:32 EST
Sorry, this is AS4 Beta, not AS3 v4 Beta. 
Comment 2 Adrian Likins 2005-01-12 12:23:25 EST
fixed in later versions, if you have access to later beta/release
candidates,they will have the fix
Comment 3 dff 2005-01-18 10:19:11 EST
New up2date packages for testing are here:

  http://people.redhat.com/dff/.rhel4-rc-up2date/

Let me know if there are any other missing dependencies that you need to install
these on your RHEL4 beta build.

Note You need to log in before you can comment on or make changes to this bug.